Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.explorer.filter
Class DefaultExplorerFilter

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.explorer.filter.DefaultExplorerFilter

All Implemented Interfaces:
  ExplorerFilter

    public class DefaultExplorerFilter

extends Object
implements ExplorerFilter

Author:
  Holger Knublauch

Constructor Summary
`DefaultExplorerFilter()`

Method Summary
`void` | `addAllValidClasses()`
`void` | `addValidClass(Class cls)`
`boolean` | `getUseInferredSuperclasses()` Checks if the tree should display inferred relationships instead of asserted ones.
`Set` | `getValidClasses()`
`RDFProperty` | `getValidProperty()`
`boolean` | `isValidChild(RDFSClass parentClass, RDFSClass childClass)` Checks whether a given superclass (childClass) shall be be displayed as a child of a given subclass node (parentClass).
`void` | `removeAllValidClasses()`
`void` | `removeValidClass(Class c)`
`void` | `setUseInferredSuperclasses(boolean value)`
`void` | `setValidProperty(RDFProperty property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExplorerFilter

    public DefaultExplorerFilter()

Method Detail

### addAllValidClasses

    public void addAllValidClasses()

### addValidClass

    public void addValidClass(Class cls)

### getValidClasses

    public Set getValidClasses()

### getValidProperty

    public RDFProperty getValidProperty()

### getUseInferredSuperclasses

    public boolean getUseInferredSuperclasses()

  Description copied from interface: `ExplorerFilter`
  Checks if the tree should display inferred relationships instead of asserted ones.

  Specified by:
    `getUseInferredSuperclasses` in interface `ExplorerFilter`
  Returns:
    true if inferred superclasses shall be displayed

### isValidChild

    public boolean isValidChild(RDFSClass parentClass,
                                RDFSClass childClass)

  Description copied from interface: `ExplorerFilter`
  Checks whether a given superclass (childClass) shall be be displayed as a child of a given subclass node (parentClass).

  Specified by:
    `isValidChild` in interface `ExplorerFilter`
  Parameters:
    `parentClass` - the class displayed by the parent node
    `childClass` - the class displayed by the potential child node
  Returns:
    true if childClass shall be used as child node for parentClass

### removeAllValidClasses

    public void removeAllValidClasses()

### removeValidClass

    public void removeValidClass(Class c)

### setUseInferredSuperclasses

    public void setUseInferredSuperclasses(boolean value)

### setValidProperty

    public void setValidProperty(RDFProperty property)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.